Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1386152 - v2 release
Summary: v2 release
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: php-google-apiclient
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-google-apiclient-services php-google-auth php-firebase-php-jwt php-google-apiclient1 php-cache-filesystem-adapter
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 09:53 UTC by James Hogarth
Modified: 2018-11-30 21:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:20:00 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1386167 0 unspecified CLOSED 1.1.8 was a breaking change and an epoch bumped 1.1.7 build is required 2021-02-22 00:41:40 UTC

Internal Links: 1386167

Description James Hogarth 2016-10-18 09:53:24 UTC
Github shows a 2.0.3 release 

https://github.com/google/google-api-php-client/releases

Also no 1.1.8 release is listed and it appears that it changed the api used from v2 to v3 I think as owncloud is showing an error in google drive external files integration which matches the change in api, where did 1.1.8 source from so that I can verify this?

Comment 1 James Hogarth 2016-10-18 10:12:02 UTC
Note that it appears the 1.1.7 release did use the V2 API and not the V3 one ... so 1.1.8 (which is not listed on the github page) was a breaking change.

Comment 2 James Hogarth 2016-10-18 10:20:08 UTC
Ah I was blind and now I see ... hidden on the page somewhat .. https://github.com/google/google-api-php-client/releases/tag/v1.1.8

Here is the change:

https://github.com/google/google-api-php-client/blob/v1.1.8/src/Google/Service/Drive.php

https://github.com/google/google-api-php-client/blob/1.1.7/src/Google/Service/Drive.php

Quite the major change for a changelog of:
"fixes branch alias for dev v1-master"

Comment 3 Shawn Iwinski 2016-10-21 12:01:11 UTC
Hey James --

Thanks for taking care of the php-google-apiclient issue!

For v2, I plan on packaging that separately as php-googleapiclient2 so both major version will be available and can be dual-installed.  There are going to be several packages for review in that stack.  Would you like me to ping you when I have submitted those fore review?

Comment 4 Shawn Iwinski 2016-10-21 12:02:33 UTC
(In reply to Shawn Iwinski from comment #3)
> For v2, I plan on packaging that separately as php-googleapiclient2

Correction: php-google-apiclient2

Comment 5 James Hogarth 2016-10-21 12:05:20 UTC
No problem.

Yeah sure cc me and drop me a ping to review

Comment 6 Fedora End Of Life 2017-02-28 10:27:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Shawn Iwinski 2017-03-12 21:16:37 UTC
James -- I'm rethinking my original comment of allowing both Google APIs v1 and v2.  Can I just upgrade this package (php-google-apiclient) to v2?  What dists can I push it to if I can update it? -- v2 requires PHP >= 5.4 so theoretically it can be pushed to all Fedoras and EPEL7+.  Current latest version is 2.1.2.

Comment 8 James Hogarth 2017-03-12 21:21:28 UTC
The way the APIs are used are just too different.

Unless both owncloud and nextcloud refactor to use v2 we'll need to have the v1 in place for these.

Comment 9 Jan Kurik 2017-08-15 09:27:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 10 Ben Cotton 2018-11-27 15:57:19 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2018-11-30 21:20:00 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.